logo
Video Call
Server API
Stream Mixing and Transcoding APIs
On this page

GenerateIdentifyToken

GET

https://rtc-api.zego.im/

When you use third-party audio/video stream moderation services, you need to use this API to generate an IdentifyToken and pass it to the moderation service provider for authentication.

Currently supported vendors include ShuMei, NetEase Yidun, TuPu, YiTu, and Volcengine. The complete integration process is as follows:

ShuMei

  1. Complete the integration with ShuMei's Intelligent Audio Stream Recognition and Intelligent Video Stream Recognition products.
  2. Call this server API to obtain the IdentifyToken.
  3. Call ShuMei's Audio Stream Upload Request API or Video Stream Upload Request API to initiate a request, and assign the IdentifyToken to the Token parameter in the request.

NetEase Yidun

  1. Complete the integration with NetEase Yidun's moderation functionality Audio/Video Solution.
  2. Call this server API to obtain the IdentifyToken.
  3. Call NetEase Yidun's Async Detection API to initiate a request, and assign the IdentifyToken to the Token parameter in the request.

TuPu

  1. Complete the integration with TuPu's ZEGO Audio Stream Async API.
  2. Call this server API to obtain the IdentifyToken.
  3. Call TuPu's ZEGO Audio Stream Async API to initiate a request, and assign the IdentifyToken to the Token parameter in the request.

YiTu and Volcengine

  1. Complete the integration with these two service providers' moderation functionality. For details, please contact the service provider's technical support.
  2. Call this server API to obtain the IdentifyToken.
  3. Call these two service providers' audio/video moderation APIs (for details, please contact the service provider's technical support) to initiate a request, and assign the IdentifyToken to the Token parameter in the request.
Warning
  • Each IdentifyToken can only be used for one moderation request. Before starting each moderation, please regenerate one IdentifyToken to use.
  • Different vendors may have differences from this document due to version updates or other reasons in actual use. It is recommended to confirm with technical support before use.
Rate Limit
For all rooms under the same AppID: 100 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [GenerateIdentifyToken]

    API prototype parameters

    https://rtc-api.zego.im?Action=GenerateIdentifyToken

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    EffectiveTime int64

    The validity period of the stream moderation authentication Token.

    Unit: seconds, default is 3600 seconds; maximum cannot exceed 30 days (i.e., the value cannot exceed 60 * 60 * 24 * 30).

Responses

Success
Schema
    Code int32

    Return code. Please refer to Global Return Codes.

    Message string

    Operation result description

    RequestId string

    Request ID

    Data object
    Response data
    IdentifyToken string

    Authentication Token

    RemainTime int64

    The validity period of the Token, which means that within the "validity period", you can initiate audio/video stream moderation to "ShuMei"; after the moderation task starts, the moderation user will not experience disconnection during normal stream moderation.

    Unit: seconds, default is 1 hour (3600 seconds).

Previous

StopCensorVideoV2

Next

SetSceneTemplate

On this page

Back to top